.page[data-pageid='login'] {
  grid-template-columns: auto;
  grid-template-rows: auto 1fr auto;
  grid-template-areas:
    'header'
    'main'
    'footer';

  .page-main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;

    form {
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      gap: 2rem;
    }

    fieldset {
      display: flex;
      flex-direction: column;
      gap: 2rem;

      label {
        font-size: 1.2rem;
        color: var(--color-text-muted);
        text-transform: uppercase;
        font-weight: 300;
      }

      input {
        display: block;
        width: 33.33vw;
        margin: 0.5rem -1rem 0 -1rem;
        font-size: 1.5rem;

        padding: 1rem;
        border-radius: var(--border-radius);
        border: 1px solid var(--color-border);
        background-color: var(--color-border-faint);
      }
    }

    button[type='submit'] {
      font-size: 1.5rem;
      font-weight: 600;
      display: flex;
      align-items: center;
      gap: 0.333em;
    }
  }
}
